Table applying a filter when no filter has been set by the user

2018-02-08 08:38 AM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.18.16 Regression?: No

Operating System: Debian 9 Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 25954

Description

Using ESRI shapefiles and it shows up when deleting records from a table, or cutting/pasting records between a table.

If I paste 99 records into am empty table the title bar will show I now have 198 records in the table, filtered 99 records. There is no filter

applied to the table (actually impossible to apply a filter to a table in edit mode in 2.18)

If toggling the view from Shaw All Features to Show Selected Features the title bar counts will correct.

Not just the title bar counts that are wrong. Have had a table which has 188 records in it, only lets me see 37. CLicking the view as

mentioned eventually got me to where it has "filtered = 36" with no actual filter set what so ever

History

#1 - 2018-02-08 08:46 AM - Patrick Dunford

- File 18058.bz2 added

sample project

#2 - 2018-02-08 05:43 PM - Harrissou Santanna

- Status changed from Open to Feedback

Are you sure you are not hitting https://docs.qgis.org/testing/en/docs/user_manual/introduction/qgis_configuration.html#tip-table-filtering? What are your

Options --> Data source --> Attribute table behavior settings?

#3 - 2018-02-08 09:00 PM - Patrick Dunford

Its's set to show all features

and I never changed any settings between 2.18.15 and 2.18.16, with the same project.

#4 - 2018-08-25 04:52 PM - Giovanni Manghi

Does it happen on QGIS 3.2/master?

#5 - 2019-01-21 12:34 AM - Jürgen Fischer
https://docs.qgis.org/testing/en/docs/user_manual/introduction/qgis_configuration.html#tip-table-filtering


Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#6 - 2019-03-08 11:40 AM - Giovanni Manghi

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Closing for lack of feedback.
